Bug 567162 - the driver does not output tv correctly
Summary: the driver does not output tv correctly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome
Version: 12
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-22 02:26 UTC by Joe Acosta
Modified: 2010-12-03 22:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 22:31:18 UTC


Attachments (Terms of Use)
xorg conf.. (1.43 KB, text/plain)
2010-02-23 03:35 UTC, Joe Acosta
no flags Details
xorg log file (51.77 KB, text/plain)
2010-02-23 03:35 UTC, Joe Acosta
no flags Details
it starts but is blurry (1.70 KB, text/plain)
2010-02-23 05:11 UTC, Joe Acosta
no flags Details

Description Joe Acosta 2010-02-22 02:26:12 UTC
Description of problem:
I have a CN10000 via motherboard that uses the openchrome driver.  The system is connected to a tv via it's svideo output.  When the system boots the boot log shows up on both the lcd display and the tv, but when X starts it either works with the lcd display or does not work at all and the tv shows lines.  It seems like a modeline thing or something.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install fc 12 on a cn10000 via mb
2. setup bios to use crt+tv
3. boot 
  
Actual results:
fuzz on tv, nothing on monitor

Expected results:
both should display the x screen

Additional info:
I switched to use the vesa driver and the tv output display, but the LCD displays the desktop shifted down.

Comment 1 Xavier Bachelot 2010-02-22 21:23:29 UTC
This is a known regression with 0.2.904. The faulty piece of code has been spotted but there's no proper fix for the bug yet. If you don't mind rebuilding the driver on your own, please take a look at http://www.openchrome.org/trac/ticket/342#comment:28 and try to apply the patch. If you are not able to do that, I'll push up a build for you to test.

Comment 2 Joe Acosta 2010-02-22 23:41:19 UTC
Hello, if you could do the build I would be more than happy to test it.  This machine is not setup to do builds.

Comment 3 Xavier Bachelot 2010-02-23 00:17:02 UTC
I've pushed the build at http://www.bachelot.org/openchrome-test/

Comment 4 Xavier Bachelot 2010-02-23 00:21:59 UTC
oh, btw, please attach your xorg conf and log to the bug.

Comment 5 Joe Acosta 2010-02-23 03:35:02 UTC
Created attachment 395630 [details]
xorg conf..

change the vesa driver to openchrome

Comment 6 Joe Acosta 2010-02-23 03:35:58 UTC
Created attachment 395631 [details]
xorg log file

Comment 7 Joe Acosta 2010-02-23 03:37:53 UTC
ok, I tried that.  it did not seem to work.  I also tried changing the Mode to 720x480 which I read somewhere ntsc should work.  I have attached my xorg log and config files.  Let me know if there are somethings I should change and try.

Comment 8 Joe Acosta 2010-02-23 05:11:00 UTC
Created attachment 395641 [details]
it starts but is blurry

in playing with the xorg.conf I got this to at least start on both screens.  there is a lot of snow, but you can see the task bar across the top.  none of teh icons on it are identifiable, but they are there.  closer

Comment 9 Fedora Update System 2010-03-20 13:09:42 UTC
xorg-x11-drv-openchrome-0.2.904-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-2.fc12

Comment 10 Fedora Update System 2010-03-20 13:09:47 UTC
xorg-x11-drv-openchrome-0.2.904-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-2.fc11

Comment 11 Fedora Update System 2010-03-20 13:09:52 UTC
xorg-x11-drv-openchrome-0.2.904-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-3.fc13

Comment 12 Fedora Update System 2010-03-23 02:02:45 UTC
xorg-x11-drv-openchrome-0.2.904-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-2.fc11

Comment 13 Fedora Update System 2010-03-23 02:06:24 UTC
xorg-x11-drv-openchrome-0.2.904-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-2.fc12

Comment 14 Fedora Update System 2010-03-23 02:19:23 UTC
xorg-x11-drv-openchrome-0.2.904-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-3.fc13

Comment 15 Fedora Update System 2010-03-24 21:22:41 UTC
xorg-x11-drv-openchrome-0.2.904-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-4.fc12

Comment 16 Fedora Update System 2010-03-24 21:22:47 UTC
xorg-x11-drv-openchrome-0.2.904-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-4.fc13

Comment 17 Fedora Update System 2010-03-24 21:22:52 UTC
xorg-x11-drv-openchrome-0.2.904-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-4.fc11

Comment 18 Joe Acosta 2010-03-25 04:01:11 UTC
I tested the update xorg-x11-drv-openchrome-0.2.904-2.fc12 and if I set the bios to use output both CRT and TV then when the os boots it just dies after starting local service.  It looks like the window manager tries to start and then does not output to anything.

Comment 19 Fedora Update System 2010-03-25 22:26:38 UTC
xorg-x11-drv-openchrome-0.2.904-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-4.fc11

Comment 20 Fedora Update System 2010-03-25 22:37:25 UTC
xorg-x11-drv-openchrome-0.2.904-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-4.fc13

Comment 21 Fedora Update System 2010-03-25 22:41:19 UTC
xorg-x11-drv-openchrome-0.2.904-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-4.fc12

Comment 22 Fedora Update System 2010-04-04 00:37:01 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc11

Comment 23 Fedora Update System 2010-04-04 00:37:11 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc12

Comment 24 Fedora Update System 2010-04-04 00:37:20 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc13.1 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc13.1

Comment 25 Fedora Update System 2010-04-06 19:55:58 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc13.1 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc13.1

Comment 26 Fedora Update System 2010-04-09 01:29:09 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc12

Comment 27 Fedora Update System 2010-04-09 01:42:14 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc11

Comment 28 Fedora Update System 2010-05-26 21:46:35 UTC
xorg-x11-drv-openchrome-0.2.904-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-6.fc11

Comment 29 Fedora Update System 2010-05-26 21:48:10 UTC
xorg-x11-drv-openchrome-0.2.904-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-6.fc13

Comment 30 Fedora Update System 2010-05-26 21:49:01 UTC
xorg-x11-drv-openchrome-0.2.904-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-6.fc12

Comment 31 Fedora Update System 2010-06-14 17:12:12 UTC
xorg-x11-drv-openchrome-0.2.904-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-7.fc12

Comment 32 Fedora Update System 2010-06-14 17:18:45 UTC
xorg-x11-drv-openchrome-0.2.904-7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-7.fc11

Comment 33 Fedora Update System 2010-06-14 17:22:34 UTC
xorg-x11-drv-openchrome-0.2.904-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-7.fc13

Comment 34 Bug Zapper 2010-11-03 21:36:58 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 35 Bug Zapper 2010-12-03 22:31:18 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.